/*  This example will demonstrate the use of the partition_type command
    in DiscChanger.

    (C)1993-1995 Asimware Innovations Inc.                             */


options results
address "DiscChanger_ARexx"

max_partitions
if rc ~= 0 then do
	say 'Failed with 'rc'.'
	exit
end


max_pars = result
say 'CD-ROM has 'max_pars' partitions.'
say

do i = 1 to max_pars 
	partition_type i

	if rc ~= 0 then do
		say 'Failed with 'rc'.'
		exit
		end

	if result = 1
		then parstr = "High Sierra"
	else if result = 2
		then parstr = "ISO 9660"
	else if result = 3
		then parstr = "Macintosh HFS"
	else if result = 4
		then parstr = "PhotoCD"
	else if result = 5
		then parstr = "Corel ProPhoto"
	else if result = 6
		then parstr = "CD-Digital Audio"
	else if result = 7
		then parstr = "Raw Sector"
	else 
		parstr = "Unknown"
	
	say 'Partition 'i' is 'parstr'.'
	end
	

exit
